import { Json, TfDiff, TxtFile, JsonFile, TerraformParser } from '@tinystacks/precloud';
declare class TinyStacksTerraformModuleParser extends TerraformParser {
    private tfFilesCache;
    resourceParsers: {
        [tfType: string]: (diff: TfDiff, tfPlan: Json, tfFiles: TxtFile[], tfJson: JsonFile[]) => Json;
    };
    constructor();
    getTfFiles(): TxtFile[];
    getTfJson(tfFiles: TxtFile[]): Promise<JsonFile[]>;
    getTinyStacksTfModuleDeclarations(tfJson: JsonFile[]): string[];
    writeToTmpFile(tfJson: Json): void;
    parseResource(diff: TfDiff, tfPlan: Json): Promise<Json | undefined>;
}
export { TinyStacksTerraformModuleParser };
export default TinyStacksTerraformModuleParser;
